//QmsPlugin.mm
#import "QmsPlugin.h"

@implementation QmsPluginFunc

+ (NSNumber *)multiplyA:(double)a withB:(double)b {
    return @(a * b);
}

@end

@implementation QmsPluginUI

+ (UIViewController *)makeViewController {
    UIViewController *vc = [UIViewController new];
    vc.view.backgroundColor = [UIColor whiteColor];

    UILabel *label = [[UILabel alloc] initWithFrame:CGRectMake(40, 100, 300, 40)];
    label.text = @"UI from xcframework (no subclass)";
    label.font = [UIFont boldSystemFontOfSize:22];
    [vc.view addSubview:label];

    return vc;
}

@end
